Bug 106970 - FILEOPEN: DOCX: Spacing between bullets is incorrect ( follow-up bug 106690 )
Summary: FILEOPEN: DOCX: Spacing between bullets is incorrect ( follow-up bug 106690 )
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Miklos Vajna
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.3.3
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks:
 
Reported: 2017-04-05 11:09 UTC by Xisco Faulí
Modified: 2017-04-13 11:34 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample2 (96.25 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-04-05 11:11 UTC, Xisco Faulí
Details
Sample Schedule 1 - compare MSO, LO 5.4+ before fix, LO 5.4+ with fix (117.37 KB, image/jpeg)
2017-04-12 06:43 UTC, Timur
Details
Aug_Firefox_You_DRAFT - compare MSO, LO 5.4+ before fix, LO 5.4+ with fix.jpg (128.45 KB, image/jpeg)
2017-04-12 06:47 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-04-05 11:09:44 UTC
Steps:
1. Open attachment 132175 [details] from bug 106690

Expected behaviour: Spacing between bullets should be greater.

Reproduced in

Version: 5.4.0.0.alpha0+
Build ID: 156f778593ca9c57845076a88c6b544a63e12e7a
CPU threads: 1; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-04-05_06:30:54
Locale: es-ES (es_ES); Calc: group
Comment 1 Xisco Faulí 2017-04-05 11:11:44 UTC
Created attachment 132350 [details]
sample2

Another document affected by the same problem
Comment 2 Xisco Faulí 2017-04-05 11:12:45 UTC
Regression introduced by ( bisected with bibisect-linux-64-5.3 ):

author	Miklos Vajna <vmiklos@collabora.co.uk>	2016-10-18 07:19:50 (GMT)
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2016-10-18 08:57:33 (GMT)
commit	c486e875de7c8e845594f5043a37ee8800865782 (patch)
tree	321aa0a09cbf02b2d4a0e6a1c1e8ba7f03d27eab
parent	fdd8686987ca4ee693f5f194c8eb482daa69cfef (diff)

tdf#95031 DOCX import: auto spacing inside numbering means no spacing
The WW8 import has code for this in SwWW8ImplReader::AppendTextNode(),
with lots of corner-cases. Not all of that is implemented here yet, but
the bullet list in the bugdoc already looks correct now.

bisected with bibisect-linux-64-5.3

Adding Cc: to Miklos Vajna
Comment 3 Commit Notification 2017-04-11 09:06:47 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e1c83d0514e6123faa50ad0a7aa6a9031b271c9a

tdf#106970 DOCX import: don't collapse para auto space for different nums

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Timur 2017-04-12 06:43:07 UTC
Created attachment 132497 [details]
Sample Schedule 1 - compare MSO, LO 5.4+ before fix, LO 5.4+ with fix
Comment 5 Timur 2017-04-12 06:44:12 UTC
Are those fixes safe for backport?
Comment 6 Timur 2017-04-12 06:47:58 UTC
Created attachment 132499 [details]
Aug_Firefox_You_DRAFT - compare MSO, LO 5.4+ before fix, LO 5.4+ with fix.jpg
Comment 7 Commit Notification 2017-04-13 11:34:34 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e57873156d3c04ecc34bb5f38b186ebe29567f0c&h=libreoffice-5-3

tdf#106970 DOCX import: don't collapse para auto space for different nums

It will be available in 5.3.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.